### Signal

# Ide SourceView::capture-modifier

#### Declaration

    void
    capture_modifier (
      IdeSourceView* self,
      gpointer user_data
    )

#### Description

This signal will block the main loop in a similar fashion to how `gtk_dialog_run()` performs until a key-press has occurred that can be captured for use in movements.

Pressing Escape or unfocusing the widget will break from this loop.

Use of this signal is not recommended except in very specific cases.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be emitted directly
Available since: | 3.32